Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jgDataLoader
Class CatagoryList

    java.lang.Object
      jgDataLoader.CatagoryList

public class CatagoryList
extends java.lang.Object

This class contains the list of available catagories.

Field Summary
`protected java.util.Vector` | `catagoryList` Private list of catagories as strings

Constructor Summary
`CatagoryList()` Constructs the catagory list

Method Summary
`void` | `add(java.lang.String name)` Adds a catagory to the list
`boolean` | `contains(java.lang.String name)` Checks to see if a catagory is in the list.
`java.lang.String[]` | `getCatagories()`
`void` | `remove(java.lang.String name)` Removes a catagory from the list.
`java.lang.String` | `toString()` Returns the string representation of this class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### catagoryList

    protected java.util.Vector catagoryList

  Private list of catagories as strings

Constructor Detail

### CatagoryList

    public CatagoryList()

  Constructs the catagory list

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of this class

### getCatagories

    public java.lang.String[] getCatagories()

  Returns:
    an array of Strings representing the names of available catagories

### add

    public void add(java.lang.String name)

  Adds a catagory to the list

### remove

    public void remove(java.lang.String name)

  Removes a catagory from the list.

  Parameters:
    `name` - the name of the catagory to remove

### contains

    public boolean contains(java.lang.String name)

  Checks to see if a catagory is in the list.

  Parameters:
    `name` - the catagory name to check
  Returns:
    true if the name exists in the list, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD